EE4 compatibility updates:

  • Publisher is EE4 and EE5 compatible, but it does not currently support the Fluid field (it's in the works).
  • Reel is EE4 and EE5 compatible, but it does not currently support the Fluid field.

Ticket: PHP warning after updating bloqs

Status Resolved
Add-on / Version Bloqs 4.0.15
Severity
EE Version 5.0.2

Tim Murtaugh

Dec 19, 2018

After updating Bloqs, in the latest EE, I’m getting the following PHP warning on the front end:

array_flip(): Can only flip STRING and INTEGER values!

ee/EllisLab/Addons/channel/mod.channel.php, line 4482

#1

BoldMinded (Brian)

Dec 19, 2018

If you’re getting an error like that then there should be a stack trace… can you share the full trace please?

#2

BoldMinded (Brian)

Dec 19, 2018

Also is this happening for every entry/page or just 1 or a select few?

#3

BoldMinded (Brian)

Dec 19, 2018

That error is happening in function that is trying to do something with category custom fields, which Bloqs does nothing with categories. Do you have any snippets, global variables, category fields, or whatever named the same as a block or atom?

#4

BoldMinded (Brian)

Jan 07, 2019

Tim, are you still having trouble with this? Have you tried the latest version of Bloqs and EE?

#5

Tim Murtaugh

Jan 07, 2019

I was in the middle of a crunch when I sent this, and I’m sorry to say I don’t recall what happened — I think it stopped happening after I re-saved an entry, putting some piece of data somewhere into the right state.

In any case, it’s no longer happening.

#6

BoldMinded (Brian)

Jan 07, 2019

Thanks for the update, Tim

Login to reply

Contact

For add-on support, please use the Support section. General inquries and pre-sale questions can be sent to support@boldminded.com.